# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/regulator/nxp,pf5300.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NXP PF5300/PF5301/PF5302 PMIC regulators

maintainers:
  - Woodrow Douglass <wdouglass@carnegierobotics.com>

description: |
  The PF5300, PF5301, and PF5302 integrate high-performance buck converters,
  12 A, 8 A, and 15 A, respectively, to power high-end automotive and industrial
  processors. With adaptive voltage positioning and a high-bandwidth loop, they
  offer transient regulation to minimize capacitor requirements.

allOf:
  - $ref: regulator.yaml#

properties:
  compatible:
    oneOf:
      - const: nxp,pf5300
      - items:
          - enum:
              - nxp,pf5301
              - nxp,pf5302
          - const: nxp,pf5300
  reg:
    maxItems: 1

required:
  - compatible
  - reg

unevaluatedProperties: false

examples:
  - |
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        regulator@28 {
            compatible = "nxp,pf5302", "nxp,pf5300";
            reg = <0x28>;

            regulator-always-on;
            regulator-boot-on;
            regulator-max-microvolt = <1200000>;
            regulator-min-microvolt = <500000>;
        };
    };
